/* Copyright (C) 2018 Pietro Albini <pietroalbini@ubuntu.com>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Affero General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

function ubuntuit_cookiepolicy_hide() {
    var banners = document.querySelectorAll(".cookie-policy");
    for (var i = 0; i < banners.length; i++) {
        banners[i].classList.add("hidden");
    }
};

function ubuntuit_cookiepolicy_show() {
    var banners = document.querySelectorAll(".cookie-policy");
    for (var i = 0; i < banners.length; i++) {
        banners[i].classList.remove("hidden");
    }
};

function ubuntuit_cookiepolicy_accept() {
    window.localStorage.setItem("ubuntuit-cookiepolicy-accepted", true);
    ubuntuit_cookiepolicy_hide();
};

function ubuntuit_cookiepolicy_clear() {
    window.localStorage.removeItem("ubuntuit-cookiepolicy-accepted");
    ubuntuit_cookiepolicy_show();
};

function ubuntuit_cookiepolicy_init() {
    document.getElementById("ubuntuit-cookiepolicy-hide")
        .addEventListener("click", function(e) {
            e.preventDefault();

            ubuntuit_cookiepolicy_accept();
        });

    if (window.localStorage.getItem("ubuntuit-cookiepolicy-accepted") === null) {
        ubuntuit_cookiepolicy_show();
    }
};

ubuntuit_cookiepolicy_init();
